ClarisWksGraphInternal::ZoneZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ClarisWksGraphInternal::ZoneZone Struct Reference

Internal: structure to store a link to a zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::ZoneZone:

## Public Member Functions
| ZoneZone (Zone const &z, Type fileType)
| constructor More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type Zone More...
virtual Type | getSubType () const
| return the sub type Zone More...
virtual int | getNumData (int) const
| return the number of data to define this zone in the file More...
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check) More...
virtual int | getZoneId () const
| returns the id of the reference zone More...
bool | isLinked () const
| check if we need to send the frame is linked to another frmae More...
bool | addFrameName (MWAWGraphicStyle &style) const
| add the frame name if needed More...
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...

## Public Attributes
Type | m_subType
| the file type ( zone or zone2 ) More...
int | m_id
| the zoneId More...
int | m_subId
| the zoneSubId: can be page/column/frame linked number More...
int | m_frameId
| the frame id (for a linked frame) More...
int | m_frameSubId
| the frame sub id (for a linked frame) More...
bool | m_frameLast
| true if this is the last frame of a frame zone More...
int | m_styleId
| the style id More...
int | m_wrappingSep
| the wrapping separator More...
int | m_flags [9]
| flag More...
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone, T_Zone2, T_Shape, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie }
| the list of types More...

## Detailed Description

Internal: structure to store a link to a zone of a ClarisWksGraph.

## Constructor & Destructor Documentation

ClarisWksGraphInternal::ZoneZone::ZoneZone | ( | Zone const & | z,
|  | Type | fileType
| ) |  |
| inline

constructor

## Member Function Documentation

bool ClarisWksGraphInternal::ZoneZone::addFrameName | ( | MWAWGraphicStyle & | style | ) | const
| inline

add the frame name if needed

Referenced by ClarisWksGraph::sendGroupChild().

virtual bool ClarisWksGraphInternal::ZoneZone::canBeSendAsGraphic | ( |  | ) | const
| inlinevirtual

returns true if the zone can be send using a graphic listener (partial check)

Reimplemented from ClarisWksGraphInternal::Zone.

virtual ClarisWksStruct::DSET::Child ClarisWksGraphInternal::ZoneZone::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

virtual int ClarisWksGraphInternal::ZoneZone::getNumData | ( | int |  | ) | const
| inlinevirtual

return the number of data to define this zone in the file

Reimplemented from ClarisWksGraphInternal::Zone.

virtual Type ClarisWksGraphInternal::ZoneZone::getSubType | ( |  | ) | const
| inlinevirtual

return the sub type Zone

Reimplemented from ClarisWksGraphInternal::Zone.

virtual Type ClarisWksGraphInternal::ZoneZone::getType | ( |  | ) | const
| inlinevirtual

return the main type Zone

Reimplemented from ClarisWksGraphInternal::Zone.

virtual int ClarisWksGraphInternal::ZoneZone::getZoneId | ( |  | ) | const
| inlinevirtual

returns the id of the reference zone

Reimplemented from ClarisWksGraphInternal::Zone.

bool ClarisWksGraphInternal::ZoneZone::isLinked | ( |  | ) | const
| inline

check if we need to send the frame is linked to another frmae

Referenced by addFrameName(), canBeSendAsGraphic(), and ClarisWksGraph::sendGroupChild().

virtual void ClarisWksGraphInternal::ZoneZone::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print the zone

Reimplemented from ClarisWksGraphInternal::Zone.

## Member Data Documentation

int ClarisWksGraphInternal::ZoneZone::m_flags[9]

flag

Referenced by print(), ClarisWksGraph::readGroupDef(), and ZoneZone().

int ClarisWksGraphInternal::ZoneZone::m_frameId

the frame id (for a linked frame)

Referenced by addFrameName(), isLinked(), and ClarisWksGraph::updateGroup().

bool ClarisWksGraphInternal::ZoneZone::m_frameLast

true if this is the last frame of a frame zone

Referenced by addFrameName(), and ClarisWksGraph::updateGroup().

int ClarisWksGraphInternal::ZoneZone::m_frameSubId

the frame sub id (for a linked frame)

Referenced by addFrameName(), isLinked(), and ClarisWksGraph::updateGroup().

int ClarisWksGraphInternal::ZoneZone::m_id

the zoneId

Referenced by getChild(), getZoneId(), print(), ClarisWksGraph::readGroupData(), ClarisWksGraph::readGroupDef(), ClarisWksGraphInternal::Group::removeChild(), ClarisWksGraph::sendGroupChild(), and ClarisWksGraph::updateGroup().

int ClarisWksGraphInternal::ZoneZone::m_styleId

the style id

Referenced by print(), and ClarisWksGraph::readGroupDef().

int ClarisWksGraphInternal::ZoneZone::m_subId

the zoneSubId: can be page/column/frame linked number

Referenced by print(), ClarisWksGraph::readGroupDef(), ClarisWksGraph::sendGroupChild(), and ClarisWksGraph::updateGroup().

Type ClarisWksGraphInternal::ZoneZone::m_subType

the file type ( zone or zone2 )

Referenced by getNumData(), getSubType(), and print().

int ClarisWksGraphInternal::ZoneZone::m_wrappingSep

the wrapping separator

Referenced by print(), and ClarisWksGraph::readGroupDef().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx